.navbar {
	--bs-navbar-padding-x: 0;
	--bs-navbar-padding-y: 0.5rem;
	--bs-navbar-color: rgba(var(--bs-emphasis-color-rgb), 0.65);
	--bs-navbar-hover-color: rgba(var(--bs-emphasis-color-rgb), 0.8);
	--bs-navbar-disabled-color: rgba(var(--bs-emphasis-color-rgb), 0.3);
	--bs-navbar-active-color: rgba(var(--bs-emphasis-color-rgb), 1);
	--bs-navbar-brand-padding-y: 0.3125rem;
	--bs-navbar-brand-margin-end: 1rem;
	--bs-navbar-brand-font-size: 1.25rem;
	--bs-navbar-brand-color: rgba(var(--bs-emphasis-color-rgb), 1);
	--bs-navbar-brand-hover-color: rgba(var(--bs-emphasis-color-rgb), 1);
	--bs-navbar-nav-link-padding-x: 0.5rem;
}

.navbar > .container, .navbar > .container-fluid, .navbar > .container-lg, .navbar > .container-md, .navbar > .container-sm, .navbar > .container-xl, .navbar > .container-xxl {
	display: flex;
	flex-wrap: inherit;
	align-items: center;
	justify-content: space-between;
}

.navbar > .container-fluid {
	min-height: 42px;
}

.navbar li{
	margin: 0;
}

.navbar-expand {
	flex-wrap: nowrap;
	justify-content: flex-start;
}

.navbar-brand {
	padding-top: var(--bs-navbar-brand-padding-y);
	padding-bottom: var(--bs-navbar-brand-padding-y);
	margin-right: var(--bs-navbar-brand-margin-end);
	font-size: var(--bs-navbar-brand-font-size);
	color: var(--bs-navbar-brand-color);
	text-decoration: none;
	white-space: nowrap;
}

.nav-link.product-callback {
	position: relative;
	margin-right: 5px;
	opacity: .9;
	cursor: pointer;
}

.nav-link.product-callback::before {
    content: "";
    position: absolute;
    top: 50%;
    right: 0;
    width: 1px;
    height: 50%;
    background: rgba(0,0,0,.05);
    transform: translateY(-50%);
}

.nav-link.product-callback img {
	display: block;
	height: 28px;
	width: auto;
    margin-right: 10px;
}

.navbar-expand .navbar-collapse {
	display: flex !important;
	flex-basis: auto;
}

.navbar-collapse {
	flex-basis: 100%;
	flex-grow: 1;
	align-items: center;
}

/* nav.css */

.mobile-menu .close-button {
	position: absolute;
	top: 10px;
	right: 10px;
	background: #fff;
	border: none;
	cursor: pointer;
	z-index: 1002;
	font-size: 25px;
	border-radius: 5px;
	padding: 0;
	width: 32px;
	height: 32px;
	text-align: center;
}

.nav-link {
	display: block;
	padding: var(--bs-nav-link-padding-y) var(--bs-nav-link-padding-x);
	font-size: var(--bs-nav-link-font-size);
	font-weight: var(--bs-nav-link-font-weight);
	text-decoration: none;
	background: 0 0;
	border: 0;
}

.nav-link,
.mobile-menu .close-button,
.hamburger-button {
    color: #222;
    opacity: 0.5;
	transition: opacity .2s ease-in-out;
}

.nav-link:hover,
.mobile-menu .close-button:hover,
.hamburger-button:hover {
    opacity: 1;
    text-decoration: none;
}

/**/
.navbar-expand .navbar-nav {
    width: 100%;
    flex-direction: row;
}

.navbar {
    background: #fff;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: space-between;
    padding: var(--bs-navbar-padding-y) 1rem;
}

header.no-header-image > .navbar {
    box-shadow: 0 -1px 10px rgba(0, 0, 0, 0.1) !important;
}

.navbar-nav {
	--bs-nav-link-padding-x: 0;
	--bs-nav-link-padding-y: 0.5rem;
	--bs-nav-link-font-weight: 400;
	--bs-nav-link-color: var(--bs-navbar-color);
	--bs-nav-link-hover-color: var(--bs-navbar-hover-color);
	--bs-nav-link-disabled-color: var(--bs-navbar-disabled-color);
	display: flex;
	flex-direction: column;
	padding-left: 0;
	margin-bottom: 0;
	list-style: none;
}

.navbar-expand .navbar-nav .nav-link {
	padding: 12px 16px;
}

.navbar-expand .navbar-nav .nav-link.devis-link {
	padding: 6px 16px;
	margin: 6px 16px;
	border-radius: 15px;
	border: 1px solid #b3b3b3;
    transition: none;
}

.navbar-expand .navbar-nav .nav-link.devis-link:hover {
	background: var(--secondary-color);
	border-color: transparent;
    transition: none;
}

.sticky-top {
    position: fixed;
    right: 0;
    left: 0;
    top: 0;
    width: 100%;
    padding-top: 8px;
    padding-bottom: 8px;
    z-index: 1030;
}

#searchIcon {
    height: 32px;
    width: 32px;
    text-align: center;
    line-height: 32px;
    font-size: 19px;
}

.navbar-brand {
    height: 32px;
    background-color: #fff;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
    padding: 0;
    border-radius: 5px;
}

.navbar-brand img {
    height: 100%;
    width: auto;
    display: block;
    color: #fff;
}

.mobile-menu {
    position: fixed;
    top: 0;
    left: 0;
    width: 250px;
    height: 100%;
    background-color: #fff;
    z-index: 10000;
    transform: translateX(-100%);
    box-shadow: 2px 0 5px rgba(0, 0, 0, 0);
}

.mobile-menu.open {
    box-shadow: 2px 0 20px rgba(0, 0, 0, 0.3);
    transform: translateX(0);
    transition: box-shadow 0.3s ease-in-out, transform 0.3s ease-in-out;
}

.mobile-menu-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px;
    border-bottom: 1px solid #ddd;
}

.mobile-menu-logo {
    width: auto;
    height: 40px;
}

.mobile-menu > ul {
    position: absolute;
    top: 70px;
    left: 0;
    right: 0;
    bottom: 0;
    overflow-x: scroll;
}

.mobile-menu ul {
    list-style: none;
    padding: 0;
    margin: 0;
}

.mobile-menu ul li {
    border-bottom: 1px solid #ddd;
    margin: 0;
}

.mobile-menu ul li:not(.active):hover {
    background-color: var(--primary-color);
}

.mobile-menu ul li.has-icon {
    position: relative;
}

.mobile-menu ul li.has-icon i {
	position: absolute;
	right: 14px;
	top: 50%;
	transform: translateY(-50%);
}

.mobile-menu ul li button i {
    position: relative;
    font-size: 25px;
}

.mobile-menu ul li button {
	color: #333;
	background: transparent;
	border: 0;
	width: 100%;
    font-size: 16px;
	text-align: left;
	height: 50px;
	padding: 0 15px;
	display: block;
    cursor: pointer;
}

.mobile-menu ul li:not(.active):hover button {
    color: #fff;
}

/* Mobile Menu Submenu */
.mobile-menu ul li ul {
    list-style: none;
    padding: 0;
    background-color: var(--primary-color);
}

.mobile-menu ul li ul.open {
    border-top: 1px solid #ddd;
}

.mobile-menu ul li ul.open {
    max-height: 500px;
}

.mobile-menu ul li ul li {
    margin-left: 5px;
    background-color: #f9f9f9;
    border-bottom: 0 solid #ddd;
    transition: border 0.15s ease-out;
}

.mobile-menu ul li ul li:last-child {
    border-bottom: 0;
}

.mobile-menu ul li ul.open li {
    border-width: 1px;
}

.mobile-menu ul li ul li button {
    color: #333;
    text-decoration: none;
    display: block;
    cursor: pointer;
    height: 0;
    overflow: hidden;
    transition: height 0.15s ease-out;
}

.mobile-menu ul li ul.open li button {
    height: 50px;
}

.mobile-menu ul li ul li:hover {
    background-color: var(--primary-color);
}

.mobile-menu ul li ul li:hover button {
    color: #fff;
}

/* Show submenu when parent is hovered or clicked 
.mobile-menu ul li:hover > ul,
.mobile-menu ul li:focus-within > ul {
    display: block;
}*/

/* Reach content sub menu */
/*.navbar-nav .dropdown-menu {
    display: flex;
    flex-wrap: wrap;
    padding: 10px;
	position: absolute;
	width: 100%;
	top: calc(100% + 8px);
    visibility: hidden;
    opacity: 0;
    transition: visibility 0s, opacity 0.3s ease-in-out;
}*/
/* Dropdown menu styling */
.dropdown-toggle {
    cursor: pointer;
}

.dropdown-menu {
	display: none;
	z-index: 1000;
	position: absolute;
	top: 100%;
	right: 0;
	background: #fff;
	padding: 20px;
	display: flex;
	gap: 15px;
    border-radius: 10px;
    box-shadow: -1px 4px 8px rgba(0, 0, 0, 0.1);
}

.dropdown-item {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    text-decoration: none;
    color: #333;
    width: 150px;
    position: relative;
    overflow: hidden;
    border-radius: 5px;
}

.dropdown-item::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0,0,0,.3);
    transition: background-color 0.3s ease-in-out;
    z-index: 2;
}

.dropdown-item:hover::before {
    background: rgba(0,0,0,.4);
}

.dropdown-item a {
    text-decoration: none;
    color: inherit;
    height: 150px;
}

.dropdown-image {
    width: 150px;
    height: 150px;
    margin-bottom: 10px;
    transition: transform 0.4s ease, box-shadow 0.4s ease;
}

.dropdown-item:hover .dropdown-image {
    transform: scale(1.1);
    box-shadow: 0 10px 20px rgba(0, 0, 0, 0.2);
}
.dropdown-item div {
    padding: 0 5px;
    position: absolute;
    left: 0;
    top: 0;
    right: 0;
    bottom: 0;
    z-index: 2;
}

.dropdown-item span {
    font-size: 16px;
    font-weight: bold;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.5);
    color: #fff;
    position: absolute;
    width: 100%;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    text-transform: uppercase;
    letter-spacing: 2px;
}

/* Responsive styling */
@media (max-width: 768px) {
    .dropdown-menu {
        flex-direction: column;
        align-items: center;
    }

    .dropdown-item {
        width: 100%;
    }

    .dropdown-image {
        width: 100px;
        height: 100px;
    }

    .dropdown-item span {
        font-size: 14px;
    }
}

/* Hamburger Button */
label.hamburger-button {
	display: none;
	flex-direction: column;
	width: 36px;
	height: 34px;
	padding: 3px 0;
	cursor: pointer;
}

label.hamburger-button span {
    background: #222;
	border-radius: 6px;
	height: 3px;
	margin: 3px 0;
	transition: .4s cubic-bezier(0.68, -0.6, 0.32, 1.6);
}

label.hamburger-button span:nth-of-type(1) {
    width:50%;
}

label.hamburger-button span:nth-of-type(2) {
    width:84%;
}

label.hamburger-button span:nth-of-type(3) {
    width:75%;
}

/* Search Bar Container */
.search-bar-container {
	display: none;
	position: fixed;
	left: 0;
	right: 0;
	bottom: 0;
	background: #fff;
	padding: 5px 8px;
	z-index: -1;
	height: 52px;
    top: 58px;
    transition: border-color 0.3s ease;
    box-shadow: 0 4px 4px rgba(0,0,0,.15) !important;
}

.search-bar-container.open {
    display: flex;
}

.search-bar-container > .row {
	position: absolute;
	bottom: 8px;
	left: 16px;
	right: 16px;
}

.search-form {
    margin: 0 auto;
    position: relative;
}

.search-input {
    flex: 1;
    padding: 6px 20px;
    border: none;
    border: 1px solid #ced4da;
    border-radius: 0;
    font-size: 16px;
    transition: border-color 0.3s ease;
}

.search-input:focus {
    border-color: var(--primary-color);
    outline: none;
}

.close-icon {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 42px;
    height: 42px;
    line-height: 42px;
    text-align: center;
    font-size: 26px;
    cursor: pointer;
    transition: color 0.3s ease;
}

.close-icon:hover {
    color: var(--primary-color);
}

#searchIcon {
    position: relative;
}

#navbarNav ul.navbar-nav {
    position: relative;
    margin-right: 15px;
    padding-right: 15px;
    font-size: 0.95rem;
}

#searchIcon::before,
#navbarNav ul.navbar-nav::before {
	display: inline-block;
	width: 1px;
	background-color: #e1e1e1;
	right: 0;
	position: absolute;
	top: 8px;
	bottom: 8px;
}

@media (min-width: 767px) {
    #navbarNav ul.navbar-nav::before {
        content: "";
    }
}

@media (max-width: 767px) {
    #searchIcon {
        margin-right: 32px;
    }

    #searchIcon::before {
        content: "";
        right: -10px;
    }

    .navbar-collapse {
        display: none;
    }
    
    label.hamburger-button {
        display: flex;
    }

    .navbar-nav {
        display: none;
    }
}

@media (max-width: 576px) {
    .nav-link.product-callback {
        margin-right: 0;
    }

    .nav-link.product-callback::before {
        display: none;
    }
}
/* Dropdown Menu */

.admin-menu {
	margin: 0 15px;
	width: 32px;
	height: 32px;
	text-align: center;
	line-height: 32px;
}

.admin-menu .dropdown-toggle {
	font-size: 25px;
}

.admin-menu .dropdown-toggle::after {
	display: none !important;
}


/*
.dropdown-menu .dropdown-item {
	color: #fff;
	text-transform: uppercase;
	padding-top: 8px;
	padding-bottom: 8px;
    text-decoration: none;
}

.dropdown-menu .dropdown-item:hover {
    background-color: rgba(255, 255, 255, 0.1);
}*/